using System;

internal sealed class Delegate568 : MulticastDelegate
{
	public extern void Invoke(Array array_0, int int_0, int int_1);

	public static void smethod_0(Array array_0, int int_0, int int_1, Delegate568 delegate568_1)
	{
		delegate568_1(array_0, int_0, int_1);
	}

	public extern Delegate568(object object_0, IntPtr intptr_0);

	static Delegate568()
	{
		Class10.smethod_13(typeof(Delegate568).TypeHandle);
	}

	internal static Delegate568 delegate568_0;
}
